
From: Adrian Bunk <bunk@stusta.de>

I haven't found any possible modular usage of pcibios_penalize_isa_irq 
in the kernel.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/kernel/i386_ksyms.c    |    1 -
 25-akpm/arch/sh/kernel/sh_ksyms.c        |    1 -
 25-akpm/arch/x86_64/kernel/x8664_ksyms.c |    1 -
 3 files changed, 3 deletions(-)

diff -puN arch/i386/kernel/i386_ksyms.c~unexport-pcibios_penalize_isa_irq arch/i386/kernel/i386_ksyms.c
--- 25/arch/i386/kernel/i386_ksyms.c~unexport-pcibios_penalize_isa_irq	Thu Mar  3 16:13:24 2005
+++ 25-akpm/arch/i386/kernel/i386_ksyms.c	Thu Mar  3 16:13:24 2005
@@ -112,7 +112,6 @@ EXPORT_SYMBOL(dma_alloc_coherent);
 EXPORT_SYMBOL(dma_free_coherent);
 
 #ifdef CONFIG_PCI
-EXPORT_SYMBOL(pcibios_penalize_isa_irq);
 EXPORT_SYMBOL(pci_mem_start);
 #endif
 
diff -puN arch/sh/kernel/sh_ksyms.c~unexport-pcibios_penalize_isa_irq arch/sh/kernel/sh_ksyms.c
--- 25/arch/sh/kernel/sh_ksyms.c~unexport-pcibios_penalize_isa_irq	Thu Mar  3 16:13:24 2005
+++ 25-akpm/arch/sh/kernel/sh_ksyms.c	Thu Mar  3 16:13:24 2005
@@ -51,7 +51,6 @@ EXPORT_SYMBOL(strncat);
 #ifdef CONFIG_PCI
 EXPORT_SYMBOL(pci_alloc_consistent);
 EXPORT_SYMBOL(pci_free_consistent);
-EXPORT_SYMBOL(pcibios_penalize_isa_irq);
 #endif
 
 /* mem exports */
diff -puN arch/x86_64/kernel/x8664_ksyms.c~unexport-pcibios_penalize_isa_irq arch/x86_64/kernel/x8664_ksyms.c
--- 25/arch/x86_64/kernel/x8664_ksyms.c~unexport-pcibios_penalize_isa_irq	Thu Mar  3 16:13:24 2005
+++ 25-akpm/arch/x86_64/kernel/x8664_ksyms.c	Thu Mar  3 16:13:24 2005
@@ -103,7 +103,6 @@ EXPORT_SYMBOL(pci_free_consistent);
 #endif
 
 #ifdef CONFIG_PCI
-EXPORT_SYMBOL(pcibios_penalize_isa_irq);
 EXPORT_SYMBOL(pci_mem_start);
 #endif
 
_
